﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TelerikTest.Models;
using Telerik.Web.Mvc;

namespace TelerikTest.Controllers
{
	[HandleError]
	public class HomeController : Controller
	{
        private MyModel GetData()
        {
            return new MyModel
            {
                Id = 1,
                Name = "ModelName",
                Date = DateTime.Now.AddMonths( -5 ),
                Events = new List<Event>
                {
                    new Event { Id = 1,  Name = "Event1" },
                    new Event { Id = 2,  Name = "Event2" },
                    new Event { Id = 3,  Name = "Event3" },
                }
            };
        }

		public ActionResult Index()
		{
			return View( GetData() );
		}

        [HttpPost]
        public ActionResult Save( MyModel model, int[] events )
        {
            // events is not empty
            if( ModelState.IsValid )
            {
            }
            return RedirectToAction( "Index" );
        }

        public ActionResult Index2()
        {
            return View();
        }

        [GridAction]
        public ActionResult _Select()
        {
            var item = this.GetData();
            var list = new List<MyModel>() { item };
            return View( new GridModel( list ) );
        }

        [GridAction]
        [HttpPost]
        public ActionResult _Save( MyModel model, int[] events )
        {
            // events is empty
            if( ModelState.IsValid )
            {

            }
            var item = this.GetData();
            var list = new List<MyModel>() { item };
            return View(new GridModel(list) { Total = 1 });
        }
	}
}
